
#ifdef GL_ES
precision lowp float;
#endif

uniform float u_colorR;
uniform float u_colorG;
uniform float u_colorB;

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;

void main()
{
    vec4 v4TexColor = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
    
    gl_FragColor = vec4(u_colorR, u_colorG, u_colorB, 1.0);
    gl_FragColor *= v4TexColor.a;
}